%define module_name Astro-satpass
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/Coord/ECI/TLE/Iridium.pm) perl(Carp.pm) perl(Data/Dumper.pm) perl(Date/Manip.pm) perl(Exporter.pm) perl(File/HomeDir.pm) perl(IO/File.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Module/Metadata.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Term/ReadLine.pm) perl(Test/MockTime.pm) perl(Test/More.pm) perl(Test/Without/Module.pm) perl(Time/y2038.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.106
Release: alt1
Summary: Classes and app to compute satellite visibility
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WY/WYANT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module was written to provide a base class for a system to predict
satellite visibility. Its main task is to convert the
Earth-Centered Inertial (ECI) coordinates generated by the NORAD models
into other coordinate systems (e.g. latitude, longitude, and altitude
above mean sea level), but a other functions have accreted to it.
In addition, a few support routines have been exposed for testing, or
whatever.

All distances are in kilometers, and all angles are in radians
(including right ascension, which is usually measured in hours).

Times are normal Perl times, whether used as universal or dynamical
time. Universal time is what is usually meant, unless otherwise stated.

Known subclasses include Astro::Coord::ECI::Moon to predict the
position of the Moon, Astro::Coord::ECI::Star to predict the
position of a star, or anything else that can be considered fixed on
the celestial sphere, Astro::Coord::ECI::Sun to predict the position
of the Sun, Astro::Coord::ECI::TLE to predict the position of a
satellite given the NORAD orbital parameters, and
Astro::Coord::ECI::TLE::Iridium (a subclass of
Astro::Coord::ECI::TLE) to predict Iridium flares.

Note that in version 0.022_01 the velocity code got a substantial
rework, which is still in progress. I am attempting give useful
velocities where they are available, and no velocities at all where they
are not.  Unfortunately I have yet to locate any worked problems, so the
velocity code is, in the most literal sense, untested.

In general, locations specified in Earth-fixed coordinates are
considered to share the rotational velocity of the Earth, and locations
specified in inertial coordinates are considered to have undefined
velocities unless a velocity was specified explicitly or produced by the
object's model. This involved a change in the behavior of the eci()
method when velocity was not specified but location was. See the next
paragraph for my excuse.

Caveat user: This class and its subclasses should probably be
considered alpha code, meaning that the public interface may not be
completely stable. I will try not to change it, but given sufficient
reason I will do so. If I do so, I will draw attention to the change
in the documentation.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README README.MacOS
%perl_vendor_privlib/A*

%changelog
* Fri May 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.106-alt1
- updated by package builder

* Tue Mar 19 2019 Igor Vlasenko <viy@altlinux.ru> 0.105-alt1
- updated by package builder

* Sun Mar 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.104-alt1
- updated by package builder

* Sun Nov 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.103-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.102-alt1
- regenerated from template by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.101-alt1
- regenerated from template by package builder

* Wed Jul 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.100-alt1
- regenerated from template by package builder

* Fri Jun 29 2018 Igor Vlasenko <viy@altlinux.ru> 0.099-alt1
- regenerated from template by package builder

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.098-alt1
- regenerated from template by package builder

* Wed Jun 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.097-alt1
- regenerated from template by package builder

* Mon May 28 2018 Igor Vlasenko <viy@altlinux.ru> 0.096-alt1
- regenerated from template by package builder

* Wed May 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.095-alt1
- regenerated from template by package builder

* Sun Apr 29 2018 Igor Vlasenko <viy@altlinux.ru> 0.094-alt1
- regenerated from template by package builder

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.093-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.091-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.086-alt1
- regenerated from template by package builder

* Sat Nov 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.085-alt1
- regenerated from template by package builder

* Sat Oct 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.084-alt1
- regenerated from template by package builder

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 0.083-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.082-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.079-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.078-alt1
- regenerated from template by package builder

* Mon Dec 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.077-alt1
- regenerated from template by package builder

* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.076-alt1
- regenerated from template by package builder

* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.074-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.073-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.072-alt1
- regenerated from template by package builder

* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.071-alt1
- regenerated from template by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 0.070-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.068-alt1
- regenerated from template by package builder

* Mon Nov 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.067-alt1
- regenerated from template by package builder

* Wed Oct 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.066-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.065-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.064-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.062-alt1
- regenerated from template by package builder

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.061-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.057-alt1
- initial import by package builder

